Bug 967334 - Review Request: rubygem-connection_pool - Generic connection pool for Ruby
Review Request: rubygem-connection_pool - Generic connection pool for Ruby
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 13:23 EDT by Anuj More
Modified: 2014-03-07 23:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 23:40:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anuj More 2013-05-26 13:23:47 EDT
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-connection_pool/rubygem-connection_pool.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-connection_pool/rubygem-connection_pool-1.0.0-1.fc19.src.rpm
Description: Generic connection pool for Ruby
Fedora Account System Username: anujmore
Comment 1 Anuj More 2013-05-26 13:34:16 EDT
Builds on mock: https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-connection_pool/mock
rpmlint does not complain: 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Vít Ondruch 2013-06-04 09:09:04 EDT
I taking this for a review.
Comment 3 Vít Ondruch 2013-06-04 10:06:15 EDT
* Summary
  - The summary is quite brief. Would you mind to add more details, e.g.
    something from beginning of README

* pushd .%{gem_instdir}
  - In the %check section, could you please replace the "pushd ." with more
    accurate "pushd .%{gem_instdir}"? Although in this case, it works quite ok,
    it would fails, if the gem contains binary extension, since now you are
    testing the unpacked gem, instead of installed gem.

* Move README.md into -doc subpackage
  - I prefer to put all files not needed for runtime into -doc subpackage.
    However, this is my personal preference, so it is up to you.

* Keep Gemfile and Rakefile in -doc subpackage
  - Although these files are not needed for Fedora, I prefer to keep them in
    -doc subpackage as long as they are shipped by upstream. Nevertheless, this
    is not blocker.

Nevertheless, the above are just minor fix so I APPROVE the package, but please fix the issues prior import into Fedora.
Comment 4 Anuj More 2013-08-04 03:11:02 EDT
Done.

Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-connection_pool/rubygem-connection_pool.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-connection_pool/rubygem-connection_pool-1.0.0-2.fc19.src.rpm

Since this package is already approved, I am flagging this for fedora-cvs.
Comment 5 Anuj More 2013-08-04 03:13:14 EDT
New Package SCM Request
=======================
Package Name: rubygem-connection_pool
Short Description: Generic connection pool for Ruby
Owners: anujmore axilleas
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-05 08:21:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.